Run of cme for thin-provisioning-tools

Try this locally (using silver-platter):

debian-svp cme-fix thin-provisioning-tools 
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
INFO:root:Opening branch at https://salsa.debian.org/lvm-team/thin-provisioning-tools.git/,branch=master
INFO:root:Cached branch URL file:/home/janitor/vcs/git/thin-provisioning-tools,branch=master missing: Branch does not exist: Not a branch: "/home/janitor/vcs/git/thin-provisioning-tools/": location is a repository.
INFO:brz:4/9725)
INFO:brz:
INFO:brz:0% (7780/9725)
INFO:brz:Total 9725 (delta 6918), reused 9471 (delta 6675), pack-reused 0
INFO:brz:6% (12/26)
INFO:brz:(20/26)
INFO:brz:Total 32 (delta 3), reused 30 (delta 2), pack-reused 0
INFO:brz:Total 26 (delta 2), reused 21 (delta 1), pack-reused 0

Reading package lists... 0%

Reading package lists... 100%

Reading package lists... Done


Building dependency tree... 0%

Building dependency tree... 0%

Building dependency tree... 50%

Building dependency tree... 50%

Building dependency tree... 89%

Building dependency tree... Done


Reading state information... 0% 

Reading state information... 0%

Reading state information... Done

Warning in 'control source Standards-Version': Current standards version is '4.5.1'. Please read https://www.debian.org/doc/debian-policy/upgrading-checklist.html for the changes that may be needed on your package to upgrade it from standard version '3.9.5' to '4.5.1'.

Offending value: '3.9.5'
Warning in 'copyright Format': Format uses insecure http protocol instead of https
Offending value: 'http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/'
Configuration item 'source format' has a wrong value:
	enum type does not know '3.0 (gitarchive)'. Expected '1.0' or '2.0' or '3.0 (native)' or '3.0 (quilt)' or '3.0 (custom)' or '3.0 (git)' or '3.0 (bzr)'
Connecting to api.ftp-master.debian.org to check 6 package versions. Please wait...
Got info from api.ftp-master.debian.org for 6 packages.
INFO:root:Elapsed time: 0:00:29.997353
Traceback (most recent call last):
  File "/usr/lib/python3.9/runpy.py", line 197, in _run_module_as_main
    return _run_code(code, main_globals, None,
  File "/usr/lib/python3.9/runpy.py", line 87, in _run_code
    exec(code, run_globals)
  File "/home/janitor/debian-janitor/janitor/worker.py", line 691, in <module>
    sys.exit(main())
  File "/home/janitor/debian-janitor/janitor/worker.py", line 639, in main
    with process_package(
  File "/usr/lib/python3.9/contextlib.py", line 117, in __enter__
    return next(self.gen)
  File "/home/janitor/debian-janitor/janitor/worker.py", line 511, in process_package
    changer_result = target.make_changes(
  File "/home/janitor/debian-janitor/janitor/worker.py", line 304, in make_changes
    return self.changer.make_changes(
  File "/home/janitor/debian-janitor/silver-platter/silver_platter/debian/cme.py", line 66, in make_changes
    subprocess.check_call(["/usr/bin/cme", "modify", "dpkg", "-save"], cwd=cwd)
  File "/usr/lib/python3.9/subprocess.py", line 373, in check_call
    raise CalledProcessError(retcode, cmd)
subprocess.CalledProcessError: Command '['/usr/bin/cme', 'modify', 'dpkg', '-save']' returned non-zero exit status 255.

Full worker log